import dayjs from "dayjs";

const handleParams = (obj) => Object.entries(obj).reduce((total,curr) => {
    if(!total){
        total += `${curr[0]}=${curr[1]}`
    }else{
        total += `|${curr[0]}=${curr[1]}`
    }
    return total
},'')


export default function usePay(){
    const payFunc = (args) => {
        const {order_no,notify_url,voucherAmount} = args;
        const Plain = {
            MercUrl:notify_url,
            TranAmt:Number(voucherAmount).toFixed(2),
            TermSsn:order_no,
            BackLink:`${window.location.origin}/#/pages/ycnc/orderDetail?order_no=${order_no}`,
            psbcmcc:'LSXD',
            TxnDt:dayjs(Date.now()).format('YYYY-MM-DD'),
            MercCode:'100610100019029'
        }
        const params = {
            Plain:handleParams(Plain),
        }
        console.log('handCodePay-params',params);
        Fw.device.api.handCodePay(params);
    }
    return {payFunc}
}